Bug 172484 - Kernel will not build after up2date upgrade to 2.6.9-22.0.1.EL source
Kernel will not build after up2date upgrade to 2.6.9-22.0.1.EL source
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-11-04 22:28 EST by Jeff Finkelstein
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-05 14:48:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff Finkelstein 2005-11-04 22:28:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; X11; Linux i686; en) Opera 8.5

Description of problem:
After using up2date to upgrade kernel and sources to kernel-2.6.9-22.0.1.EL I 
can no longer build a custom kernel. I followed the steps at http://www.redhat.
com/docs/manuals/enterprise/RHEL-4-Manual/release-notes/as-x86/ to get the 
sources. I now get the following error:

[root@d400 linux]# make bzImage
  CHK     include/linux/version.h
make[1]: `arch/i386/kernel/asm-offsets.s' is up to date.
  CHK     include/linux/compile.h
  CC      arch/i386/mm/pageattr.o
arch/i386/mm/pageattr.c: In function `revert_page':
arch/i386/mm/pageattr.c:100: error: `_etext' undeclared (first use in this 
arch/i386/mm/pageattr.c:100: error: (Each undeclared identifier is reported only 
arch/i386/mm/pageattr.c:100: error: for each function it appears in.)
arch/i386/mm/pageattr.c:104: warning: ISO C90 forbids mixed declarations and 
arch/i386/mm/pageattr.c: In function `__change_page_attr':
arch/i386/mm/pageattr.c:135: error: `_etext' undeclared (first use in this 
make[1]: *** [arch/i386/mm/pageattr.o] Error 1
make: *** [arch/i386/mm] Error 2

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.up2date to upgrade kernel
2.make defconfig
3.make bzImage

Actual Results:  Kernel build errors in pageattr.o

Expected Results:  Kernel should build correctly

Additional info:

Note You need to log in before you can comment on or make changes to this bug.